package com.example.math.entity.dto;

import lombok.Data;

import java.util.Date;

/**
 * 任务就绪条件
 */
@Data
public class ReadyConditions {

    /** 电池容量 **/
    private int battery_capacity = 30;

    /** 任务可执行时段的开始时间 - 300*1000 **/
    private long begin_time;

    /** 任务可执行时段的结束时间 + 300*1000 **/
    private long end_time;


    public long initializeBeginTime(Date date) {
        return date.getTime() - 300 * 1000;
    }

    public long initializeEndTime(Date date) {
        return date.getTime() + 300 * 1000;
    }

}